Remove ubuntu-trusty support

Move forward with only supporting ubuntu-xenial for our LTS.

Change-Id: I95194bd5555a0df18059f4aaf2ab1898dcfb59e6
Signed-off-by: Paul Belanger <pabelanger@redhat.com>
This commit is contained in:
Paul Belanger 2017-05-26 21:42:56 -04:00
parent 5a2fdd352e
commit 982b5534e3
No known key found for this signature in database
GPG Key ID: 611A80832067AF38
4 changed files with 0 additions and 438 deletions

View File

@ -1,157 +0,0 @@
#! /bin/sh
### BEGIN INIT INFO
# Provides: nodepool-builder
# Required-Start: $remote_fs $syslog
# Required-Stop: $remote_fs $syslog
# Default-Start: 2 3 4 5
# Default-Stop: 0 1 6
# Short-Description: Nodepool
# Description: Trunk gating system
### END INIT INFO
# PATH should only include /usr/* if it runs after the mountnfs.sh script
PATH=/sbin:/usr/sbin:/bin:/usr/bin:/usr/local/bin
DESC="Nodepool Builder"
NAME=nodepool-builder
PIDFILE=/var/run/$NAME/$NAME.pid
SCRIPTNAME=/etc/init.d/$NAME
# Read configuration variable file if it is present
[ -r /etc/default/$NAME ] && . /etc/default/$NAME
DAEMON=$PREFIX/bin/nodepool-builder
USER=${RUNASUSER:-nodepool}
# Exit if the package is not installed
if ! [ -x "$DAEMON" ]; then
echo "$DAEMON: command not found"
exit 5
fi
# Load the VERBOSE setting and other rcS variables
. /lib/init/vars.sh
# Define LSB log_* functions.
# Depend on lsb-base (>= 3.0-6) to ensure that this file is present.
. /lib/lsb/init-functions
#
# Function that starts the daemon/service
#
do_start()
{
# Return
# 0 if daemon has been started
# 1 if daemon was already running
# 2 if daemon could not be started
mkdir -p /var/run/$NAME
chown $USER /var/run/$NAME
start-stop-daemon --start --quiet --pidfile $PIDFILE -c $USER \
--exec $DAEMON --test > /dev/null || return 1
start-stop-daemon --start --quiet --pidfile $PIDFILE -c $USER \
--exec $DAEMON -- $ARGS -p $PIDFILE || return 2
# Add code here, if necessary, that waits for the process to be ready
# to handle requests from services started subsequently which depend
# on this one. As a last resort, sleep for some time.
}
#
# Function that stops the daemon/service
#
do_stop()
{
# Return
# 0 if daemon has been stopped
# 1 if daemon was already stopped
# 2 if daemon could not be stopped
# other if a failure occurred
start-stop-daemon --stop --signal 9 --pidfile $PIDFILE
RETVAL="$?"
[ "$RETVAL" = 2 ] && return 2
rm -f /var/run/$NAME/*
return "$RETVAL"
}
#
# Function that stops the daemon/service
#
do_graceful_stop()
{
PID=`cat $PIDFILE`
kill -INT $PID
# wait until really stopped
if [ -n "${PID:-}" ]; then
i=0
while kill -0 "${PID:-}" 2> /dev/null; do
if [ $i -eq '0' ]; then
echo -n " ... waiting "
else
echo -n "."
fi
i=$(($i+1))
sleep 1
done
fi
rm -f /var/run/$NAME/*
}
#
# Function that sends a SIGHUP to the daemon/service
#
do_reload() {
#
# If the daemon can reload its configuration without
# restarting (for example, when it is sent a SIGHUP),
# then implement that here.
#
start-stop-daemon --stop --signal 1 --quiet --pidfile $PIDFILE --name $NAME
return 0
}
case "$1" in
start)
[ "$VERBOSE" != no ] && log_daemon_msg "Starting $DESC" "$NAME"
do_start
case "$?" in
0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
esac
;;
stop)
[ "$VERBOSE" != no ] && log_daemon_msg "Stopping $DESC" "$NAME"
do_stop
case "$?" in
0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
esac
;;
status)
status_of_proc -p $PIDFILE "$DAEMON" "$NAME" && exit 0 || exit $?
;;
reload|force-reload)
#
# If do_reload() is not implemented then leave this commented out
# and leave 'force-reload' as an alias for 'restart'.
#
log_daemon_msg "Reloading $DESC" "$NAME"
do_reload
log_end_msg $?
;;
restart)
#
# If the "reload" option is implemented then remove the
# 'force-reload' alias
#
log_daemon_msg "Restarting $DESC" "$NAME"
do_graceful_stop
do_start
;;
*)
echo "Usage: $SCRIPTNAME {start|stop|status|restart|force-reload}" >&2
exit 3
;;
esac
:

View File

@ -1,157 +0,0 @@
#! /bin/sh
### BEGIN INIT INFO
# Provides: nodepool-launcher
# Required-Start: $remote_fs $syslog
# Required-Stop: $remote_fs $syslog
# Default-Start: 2 3 4 5
# Default-Stop: 0 1 6
# Short-Description: Nodepool
# Description: Trunk gating system
### END INIT INFO
# PATH should only include /usr/* if it runs after the mountnfs.sh script
PATH=/sbin:/usr/sbin:/bin:/usr/bin:/usr/local/bin
DESC="Nodepool Launcher"
NAME=nodepool-launcher
PIDFILE=/var/run/$NAME/$NAME.pid
SCRIPTNAME=/etc/init.d/$NAME
# Read configuration variable file if it is present
[ -r /etc/default/$NAME ] && . /etc/default/$NAME
DAEMON=$PREFIX/bin/nodepool-launcher
USER=${RUNASUSER:-nodepool}
# Exit if the package is not installed
if ! [ -x "$DAEMON" ]; then
echo "$DAEMON: command not found"
exit 5
fi
# Load the VERBOSE setting and other rcS variables
. /lib/init/vars.sh
# Define LSB log_* functions.
# Depend on lsb-base (>= 3.0-6) to ensure that this file is present.
. /lib/lsb/init-functions
#
# Function that starts the daemon/service
#
do_start()
{
# Return
# 0 if daemon has been started
# 1 if daemon was already running
# 2 if daemon could not be started
mkdir -p /var/run/$NAME
chown $USER /var/run/$NAME
start-stop-daemon --start --quiet --pidfile $PIDFILE -c $USER \
--exec $DAEMON --test > /dev/null || return 1
start-stop-daemon --start --quiet --pidfile $PIDFILE -c $USER \
--exec $DAEMON -- $ARGS -p $PIDFILE || return 2
# Add code here, if necessary, that waits for the process to be ready
# to handle requests from services started subsequently which depend
# on this one. As a last resort, sleep for some time.
}
#
# Function that stops the daemon/service
#
do_stop()
{
# Return
# 0 if daemon has been stopped
# 1 if daemon was already stopped
# 2 if daemon could not be stopped
# other if a failure occurred
start-stop-daemon --stop --signal 9 --pidfile $PIDFILE
RETVAL="$?"
[ "$RETVAL" = 2 ] && return 2
rm -f /var/run/$NAME/*
return "$RETVAL"
}
#
# Function that stops the daemon/service
#
do_graceful_stop()
{
PID=`cat $PIDFILE`
kill -INT $PID
# wait until really stopped
if [ -n "${PID:-}" ]; then
i=0
while kill -0 "${PID:-}" 2> /dev/null; do
if [ $i -eq '0' ]; then
echo -n " ... waiting "
else
echo -n "."
fi
i=$(($i+1))
sleep 1
done
fi
rm -f /var/run/$NAME/*
}
#
# Function that sends a SIGHUP to the daemon/service
#
do_reload() {
#
# If the daemon can reload its configuration without
# restarting (for example, when it is sent a SIGHUP),
# then implement that here.
#
start-stop-daemon --stop --signal 1 --quiet --pidfile $PIDFILE --name $NAME
return 0
}
case "$1" in
start)
[ "$VERBOSE" != no ] && log_daemon_msg "Starting $DESC" "$NAME"
do_start
case "$?" in
0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
esac
;;
stop)
[ "$VERBOSE" != no ] && log_daemon_msg "Stopping $DESC" "$NAME"
do_stop
case "$?" in
0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
esac
;;
status)
status_of_proc -p $PIDFILE "$DAEMON" "$NAME" && exit 0 || exit $?
;;
reload|force-reload)
#
# If do_reload() is not implemented then leave this commented out
# and leave 'force-reload' as an alias for 'restart'.
#
log_daemon_msg "Reloading $DESC" "$NAME"
do_reload
log_end_msg $?
;;
restart)
#
# If the "reload" option is implemented then remove the
# 'force-reload' alias
#
log_daemon_msg "Restarting $DESC" "$NAME"
do_graceful_stop
do_start
;;
*)
echo "Usage: $SCRIPTNAME {start|stop|status|restart|force-reload}" >&2
exit 3
;;
esac
:

View File

@ -183,26 +183,6 @@
- redhat_nodepool_builder_sysconfig_stat.stat.mode == '0644'
when: ansible_os_family == 'RedHat'
- name: Register /etc/init.d/nodepool-builder
stat:
path: /etc/init.d/nodepool-builder
register: _nodepool_builder_service_initd_stat
when:
- ansible_distribution == 'Ubuntu'
- ansible_distribution_release == 'trusty'
- name: Assert _nodepool_builder_service_initd_stat tests.
assert:
that:
- _nodepool_builder_service_initd_stat.stat.exists
- _nodepool_builder_service_initd_stat.stat.isreg
- _nodepool_builder_service_initd_stat.stat.pw_name == 'root'
- _nodepool_builder_service_initd_stat.stat.gr_name == 'root'
- _nodepool_builder_service_initd_stat.stat.mode == '0755'
when:
- ansible_distribution == 'Ubuntu'
- ansible_distribution_release == 'trusty'
- name: Register /etc/systemd/system/nodepool-builder.service
stat:
path: /etc/systemd/system/nodepool-builder.service
@ -221,23 +201,6 @@
when: (ansible_os_family == 'RedHat') or
(ansible_distribution == 'Ubuntu' and ansible_distribution_release == 'xenial')
- name: Register /var/run/nodepool-builder/nodepool-builder.pid
stat:
path: /var/run/nodepool-builder/nodepool-builder.pid
register: _nodepool_builder_service_pid_stat
- name: Assert /var/run/nodepool-builder/nodepool-builder.pid tests
assert:
that:
- _nodepool_builder_service_pid_stat.stat.exists
- _nodepool_builder_service_pid_stat.stat.isreg
- _nodepool_builder_service_pid_stat.stat.pw_name == 'nodepool'
- _nodepool_builder_service_pid_stat.stat.gr_name == 'nodepool'
- _nodepool_builder_service_pid_stat.stat.mode == '0644'
when:
- ansible_distribution == 'Ubuntu'
- ansible_distribution_release == 'trusty'
- name: Ensure nodepool-builder is running.
become: yes
shell: /usr/sbin/service nodepool-builder status
@ -275,26 +238,6 @@
- redhat_nodepool_launcher_sysconfig_stat.stat.mode == '0644'
when: ansible_os_family == 'RedHat'
- name: Register /etc/init.d/nodepool-launcher
stat:
path: /etc/init.d/nodepool-launcher
register: _nodepool_launcher_service_initd_stat
when:
- ansible_distribution == 'Ubuntu'
- ansible_distribution_release == 'trusty'
- name: Assert _nodepool_launcher_service_initd_stat tests.
assert:
that:
- _nodepool_launcher_service_initd_stat.stat.exists
- _nodepool_launcher_service_initd_stat.stat.isreg
- _nodepool_launcher_service_initd_stat.stat.pw_name == 'root'
- _nodepool_launcher_service_initd_stat.stat.gr_name == 'root'
- _nodepool_launcher_service_initd_stat.stat.mode == '0755'
when:
- ansible_distribution == 'Ubuntu'
- ansible_distribution_release == 'trusty'
- name: Register /etc/systemd/system/nodepool-launcher.service
stat:
path: /etc/systemd/system/nodepool-launcher.service
@ -313,23 +256,6 @@
when: (ansible_os_family == 'RedHat') or
(ansible_distribution == 'Ubuntu' and ansible_distribution_release == 'xenial')
- name: Register /var/run/nodepool-launcher/nodepool-launcher.pid
stat:
path: /var/run/nodepool-launcher/nodepool-launcher.pid
register: _nodepool_launcher_service_pid_stat
- name: Assert /var/run/nodepool-launcher/nodepool-launcher.pid tests
assert:
that:
- _nodepool_launcher_service_pid_stat.stat.exists
- _nodepool_launcher_service_pid_stat.stat.isreg
- _nodepool_launcher_service_pid_stat.stat.pw_name == 'nodepool'
- _nodepool_launcher_service_pid_stat.stat.gr_name == 'nodepool'
- _nodepool_launcher_service_pid_stat.stat.mode == '0644'
when:
- ansible_distribution == 'Ubuntu'
- ansible_distribution_release == 'trusty'
- name: Ensure nodepool-launcher is running.
become: yes
shell: /usr/sbin/service nodepool-launcher status

View File

@ -1,50 +0,0 @@
# Copyright 2015 Red Hat, Inc.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
# WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
# License for the specific language governing permissions and limitations
# under the License.
# Copyright 2015 Red Hat, Inc.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
# WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
# License for the specific language governing permissions and limitations
# under the License.
---
__nodepool_build_depends:
- libffi-dev
- libssl-dev
- libxml2-dev
- libxslt1-dev
- python-dev
- zlib1g-dev
__nodepool_file_nodepool_builder_service_dest: /etc/init.d/nodepool-builder
__nodepool_file_nodepool_builder_service_mode: 0755
__nodepool_file_nodepool_builder_service_src: etc/init.d/nodepool-builder
__nodepool_file_nodepool_builder_service_config_dest: /etc/default/nodepool-builder
__nodepool_file_nodepool_builder_service_config_mode: 0644
__nodepool_file_nodepool_builder_service_config_src: etc/default/nodepool-builder
__nodepool_file_nodepool_launcher_service_dest: /etc/init.d/nodepool-launcher
__nodepool_file_nodepool_launcher_service_mode: 0755
__nodepool_file_nodepool_launcher_service_src: etc/init.d/nodepool-launcher
__nodepool_file_nodepool_launcher_service_config_dest: /etc/default/nodepool-launcher
__nodepool_file_nodepool_launcher_service_config_mode: 0644
__nodepool_file_nodepool_launcher_service_config_src: etc/default/nodepool-launcher